Browse Source

Clifford Wolf <clifford@clifford.at>:

the attached patch fixes the *.Z to *.bz2 conversion in the Download
script. with that patch applied it's possible again to e.g. build xfree86
after a fresh download ...


git-svn-id: http://www.rocklinux.org/svn/rock-linux/trunk@1492 c5f82cb5-29bc-0310-9cd0-bff59a50e3bc
rocklinux
Clifford Wolf 21 years ago
parent
commit
a1c8a55091
2 changed files with 14 additions and 8 deletions
  1. +4
    -0
      Documentation/Developers/CHANGELOG-CLIFFORD
  2. +10
    -8
      scripts/Download

+ 4
- 0
Documentation/Developers/CHANGELOG-CLIFFORD

@ -1,4 +1,8 @@
*) 2003-09-24 (2.0.0-camp - 2.0.0-rc1)
- Fixed *.Z to *.bz2 conversion in Download script
*) 2003-09-20 (2.0.0-camp - 2.0.0-rc1)
- Added "no broken deps" feature to scripts/Create-PkgQueue

+ 10
- 8
scripts/Download

@ -504,7 +504,7 @@ download_file() {
typeexpr="gzip compressed data" ;;
*.bz2|*.tbz2)
typeexpr="bzip2 compressed data" ;;
*.Z)
*.Z|*.tZ)
typeexpr="compress'd data" ;;
*.zip|*.jar)
typeexpr="Zip archive data" ;;
@ -638,7 +638,7 @@ list() {
list_unknown() {
trap '' INT
mkdir -p src/ ; list | sed 's,\.\(t\?\)gz$,.\1bz2,' > src/down.$$.lst
mkdir -p src/ ; list | sed 's,\.\(t\?\)\(gz\|Z\)$,.\1bz2,' > src/down.$$.lst
ls download/{INDEX,README,DOWNTEST,LAST-UPDATE} \
>> src/down.$$.lst 2> /dev/null
find download/* -type f -o -type l | \
@ -651,7 +651,7 @@ list_unknown() {
list_missing() {
trap '' INT
list | sed 's,\.\(t\?\)gz$,.\1bz2,' | \
list | sed 's,\.\(t\?\)\(gz\|Z\)$,.\1bz2,' | \
while read fn ; do
[ -f "$fn" ] || echo "$fn"
done
@ -702,11 +702,13 @@ required() {
single_files() {
for file_name ; do
if ! handle_file "$file_name" ; then
file_name="`echo "$file_name" | sed 's,\.\(t\?\)bz2$,.\1gz,'`"
if ! handle_file "$file_name" ; then
echo "ERROR: Unknown file: $file_name."
fi
file_name_gz="`echo "$file_name" | sed 's,\.\(t\?\)bz2$,.\1gz,'`"
file_name_Z="`echo "$file_name" | sed 's,\.\(t\?\)bz2$,.\1Z,'`"
if ! handle_file "$file_name" && \
! handle_file "$file_name_gz" && \
! handle_file "$file_name_Z"
then
echo "ERROR: Unknown file: $file_name."
fi
done
}

Loading…
Cancel
Save